
@font-face {
	font-family: 'Nunito-Regular'; 
	src: url('../fonts/Nunito/Nunito-Regular.ttf') format('truetype'); /
}
* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	font-family: 'Nunito-Regular', sans-serif;
}

body {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100vh;
	background-image: url(img/2.jpg);
	background-size: cover;
}
.container-form {
	display: flex;
	border-radius: 20px;
	box-shadow: 0 5px 7px rgba(0, 0, 0, 0.1);
	height: 500px;
	max-width: 900px;
	transition: all 1s ease;
	margin: 10px;
}

.information {
	width: 40%;
	display: flex;
	align-items: center;
	text-align: center;
	background-color: #6cc57c;
	border-top-left-radius: 20px;
	border-bottom-left-radius: 20px;
}

.info-childs {
	width: 100%;
	padding: 0 30px;
}

.info-childs h2 {
	font-size: 2.5rem;
	color: #333;
}

.info-childs p {
	margin: 15px 0;
	color: #555;
}

.info-childs input {
	background-color: transparent;
	outline: none;
	border: solid 2px #4a4b4d;
	border-radius: 20px;
	padding: 10px 20px;
	color: #4a4b4d;
	cursor: pointer;
	transition: background-color 0.3s ease;
}

.info-childs input:hover {
	background-color: #4a4b4d;
	border: none;
	color: #fff;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.form-information {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 60%;
	text-align: center;
	background-color: #f8f8f8;
	border-top-right-radius: 20px;
	border-bottom-right-radius: 20px;
}

.form-information-childs {
	padding: 0 30px;
}

.form-information-childs h2 {
	color: #333;
	font-size: 2rem;
}

.form-information-childs p {
	color: #555;
}

.icons {
	margin: 15px 0;
}

.icons i {
	border-radius: 50%;
	padding: 15px;
	cursor: pointer;
	margin: 0 10px;
	color: #6cc57c;
	border: solid thin #6cc57c;
	transition: background-color 0.3s ease;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.icons i:hover {
	background-color: #4a4b4d;
	color: #fff;
}

.form {
	margin: 30px 0 0 0;
}

.form label {
	display: flex;
	align-items: center;
	margin-bottom: 15px;
	border-radius: 20px;
	padding: 0 10px;
	background-color: #fff;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.form label input {
	width: 100%;
	padding: 10px;
	background-color: #fff !important;
	border: none;
	outline: none;
	border-radius: 20px;
	color: #333;
}
.form-control {
	background-color: white !important;
}
.form label i {
	color: #a7a7a7;
}

.form input[type='submit'] {
	background-color: #6cc57c;
	color: #fff;
	border-radius: 20px;
	border: none;
	padding: 10px 15px;
	cursor: pointer;
	margin-top: 10px;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.form input[type='submit']:hover {
	background-color: #707070;
}

.btn-inicio {
	background-color: #6cc57c !important;
	color: #fff !important;
	border-radius: 20px !important;
	border: none !important;
	padding: 10px 15px !important;
	cursor: pointer !important;
	margin-top: 10px !important;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1) !important;
	width: 100% !important; /* Opción para que ocupe todo el ancho del contenedor */
}

.btn-inicio:hover {
	background-color: #707070 !important;
}

.hide {
	position: absolute;
	transform: translateY(-300%);
}

/*PERSONALIZACION DE MIS ALERTAS Y MENSAJES */
.form div .alerta {
	width: 290px;
	text-align: left;
	border-radius: 7px;
	margin-bottom: 10px;
	font-size: 0.8rem;
}

.form > .alerta-error,
.form > .alerta-exito {
	display: none;
}

.form .alertaError {
	display: block;
	background-color: #f66060;
	padding: 0.5rem 1rem;
	margin-top: 10px;
	font-weight: 500;
	font-size: 0.8rem;
}

.form .alertaExito {
	display: block;
	background-color: #0ca828;
	padding: 0.5rem 1rem;
	margin-top: 10px;
	font-weight: 500;
	font-size: 0.8rem;
}

.form .error {
	outline: solid 2px #9d2222;
}

/*RESPONSIVE FORM*/

@media screen and (max-width: 750px) {
	html {
		font-size: 12px;
	}
}

@media screen and (max-width: 580px) {
	html {
		font-size: 15px;
	}

	.container-form {
		height: auto;
		flex-direction: column;
		margin-inline: 29px;
		margin-top: 16rem;
		margin-bottom: 2rem;
	}

	.information {
		width: 100%;
		padding: 20px;
		border-top-left-radius: 20px;
		border-top-right-radius: 20px;
		border-bottom-left-radius: 0px;
		border-bottom-right-radius: 0;
	}

	.form-information {
		width: 100%;
		padding: 20px;
		border-bottom-left-radius: 20px;
		border-top-right-radius: 0;
	}
}
